Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.common.util.concurrent
Interface ListeningScheduledExecutorService

All Superinterfaces:
  Executor, ExecutorService, ListeningExecutorService, ScheduledExecutorService

    @Beta
    public interface ListeningScheduledExecutorService

extends ScheduledExecutorService, ListeningExecutorService

A `ScheduledExecutorService` that returns `ListenableFuture` instances from its `ExecutorService` methods. Futures returned by the `schedule*` methods, by contrast, need not implement `ListenableFuture`. (To create an instance from an existing `ScheduledExecutorService`, call `MoreExecutors.listeningDecorator(ScheduledExecutorService)`.

TODO(cpovirk): make at least the one-time schedule() methods return a ListenableFuture, too? But then we'll need ListenableScheduledFuture...

Since:
  10.0
Author:
  Chris Povirk

Method Summary

Methods inherited from interface java.util.concurrent.ScheduledExecutorService
`schedule, schedule, scheduleAtFixedRate, scheduleWithFixedDelay`

Methods inherited from interface com.google.common.util.concurrent.ListeningExecutorService
`invokeAll, invokeAll, submit, submit, submit`

Methods inherited from interface java.util.concurrent.ExecutorService
`awaitTermination, invokeAny, invokeAny, isShutdown, isTerminated, shutdown, shutdownNow`

Methods inherited from interface java.util.concurrent.Executor
`execute`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010-2012. All Rights Reserved.